Canvases not loading? Attention: 10th and 11th Gen Intel Users

Hello everyone.

There is a compatibility issue that concerns 10th and 11th gen Intel CPUs and most Unreal Engine 4 games.

This issue effects only 10th and 11th Gen Intel CPUs, and is an issue with HTTPS and those CPU boards.

This compatibility issue causes canvases, patch notes, and media videos not load.

To resolve this, please follow the guide below:

  1. Open “ File Explorer” (Win+E), right-click on “ This PC” , and select “ Properties”

image

  1. Select “ Advanced System Settings”

  1. Select “ Environment Variables” in the “ Advanced” tab

image

  1. Select “ New…” under “ System variables”

  1. Input the text below and select “OK”
    Variable name: OPENSSL_ia32cap
    Variable value: ~0x200000200000000

image

  1. Confirm that the variable has been added successfully, then select “OK”


For those curious, Intel made a post about this issue in 2019 (which we and other developers apparently never got the memo about), which goes into more detail about the issue. OpenSSL* SHA Crash Bug Requires Application Update

We have found a patch made by Epic Games to integrate the fix into our game, and will be working to have this patch integrated in a future update.

Thank you for your patience and understanding.

8 Likes

Bruh. This should have been patched already, more and more people are getting modern CPUs, especially with 12th gen right around the corner.

The issue is hardware related, it’s a bug with the Intel cards themselves.

On the contrary, it’s an issue with OpenSSL up until 2017, an issue that was patched in Unreal Engine in December 2018, being fixed in Unreal 4.2.2

This is an issue with Tower Unite being out-of-date, and as I say, an issue that is going to continue to make the game more and more unprofessional and for some, depending what they spend their time on, unplayable until it’s fixed, as this issue is only going to persist as more and more modern CPUs continue to be purchased.

I was lucky and the issue is now fixed for me because I found this thread. This is not a solution for the majority of players.

Upgrading engine versions is not a trival thing. They change core parts of the engine each time and our custom content code breaks entirely each engine upgrade, including various aspects of the game.